TypeUtils (cglib (Version 2.2.2))
Date: 2018-10-16

net.sf.cglib.core

## Class TypeUtils

- java.lang.Object
- - net.sf.cglib.core.TypeUtils

-     public class TypeUtils
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.objectweb.asm.Type[]` | `add(org.objectweb.asm.Type[] types, org.objectweb.asm.Type extra)`
    `static org.objectweb.asm.Type[]` | `add(org.objectweb.asm.Type[] t1, org.objectweb.asm.Type[] t2)`
    `static int` | `DCONST(double value)`
    `static java.lang.String` | `emulateClassGetName(org.objectweb.asm.Type type)`
    `static java.lang.String` | `escapeType(java.lang.String s)`
    `static int` | `FCONST(float value)`
    `static org.objectweb.asm.Type` | `fromInternalName(java.lang.String name)`
    `static org.objectweb.asm.Type[]` | `fromInternalNames(java.lang.String[] names)`
    `static org.objectweb.asm.Type` | `getBoxedType(org.objectweb.asm.Type type)`
    `static java.lang.String` | `getClassName(org.objectweb.asm.Type type)`
    `static org.objectweb.asm.Type` | `getComponentType(org.objectweb.asm.Type type)`
    `static java.lang.String` | `getPackageName(java.lang.String className)`
    `static java.lang.String` | `getPackageName(org.objectweb.asm.Type type)`
    `static int` | `getStackSize(org.objectweb.asm.Type[] types)`
    `static org.objectweb.asm.Type` | `getType(java.lang.String className)`
    `static org.objectweb.asm.Type[]` | `getTypes(java.lang.Class[] classes)`
    `static org.objectweb.asm.Type` | `getUnboxedType(org.objectweb.asm.Type type)`
    `static int` | `ICONST(int value)`
    `static boolean` | `isAbstract(int access)`
    `static boolean` | `isArray(org.objectweb.asm.Type type)`
    `static boolean` | `isBridge(int access)`
    `static boolean` | `isConstructor(MethodInfo method)`
    `static boolean` | `isFinal(int access)`
    `static boolean` | `isInterface(int access)`
    `static boolean` | `isPrimitive(org.objectweb.asm.Type type)`
    `static boolean` | `isPrivate(int access)`
    `static boolean` | `isProtected(int access)`
    `static boolean` | `isPublic(int access)`
    `static boolean` | `isStatic(int access)`
    `static boolean` | `isSynthetic(int access)`
    `static int` | `LCONST(long value)`
    `static int` | `NEWARRAY(org.objectweb.asm.Type type)`
    `static Signature` | `parseConstructor(java.lang.String sig)`
    `static Signature` | `parseConstructor(org.objectweb.asm.Type[] types)`
    `static Signature` | `parseSignature(java.lang.String s)`
    `static org.objectweb.asm.Type` | `parseType(java.lang.String s)`
    `static org.objectweb.asm.Type[]` | `parseTypes(java.lang.String s)`
    `static java.lang.String[]` | `toInternalNames(org.objectweb.asm.Type[] types)`
    `static java.lang.String` | `upperFirst(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public static org.objectweb.asm.Type getType(java.lang.String className)

    - #### isFinal

          public static boolean isFinal(int access)

    - #### isStatic

          public static boolean isStatic(int access)

    - #### isProtected

          public static boolean isProtected(int access)

    - #### isPublic

          public static boolean isPublic(int access)

    - #### isAbstract

          public static boolean isAbstract(int access)

    - #### isInterface

          public static boolean isInterface(int access)

    - #### isPrivate

          public static boolean isPrivate(int access)

    - #### isSynthetic

          public static boolean isSynthetic(int access)

    - #### isBridge

          public static boolean isBridge(int access)

    - #### getPackageName

          public static java.lang.String getPackageName(org.objectweb.asm.Type type)

    - #### getPackageName

          public static java.lang.String getPackageName(java.lang.String className)

    - #### upperFirst

          public static java.lang.String upperFirst(java.lang.String s)

    - #### getClassName

          public static java.lang.String getClassName(org.objectweb.asm.Type type)

    - #### add

          public static org.objectweb.asm.Type[] add(org.objectweb.asm.Type[] types,
                                                     org.objectweb.asm.Type extra)

    - #### add

          public static org.objectweb.asm.Type[] add(org.objectweb.asm.Type[] t1,
                                                     org.objectweb.asm.Type[] t2)

    - #### fromInternalName

          public static org.objectweb.asm.Type fromInternalName(java.lang.String name)

    - #### fromInternalNames

          public static org.objectweb.asm.Type[] fromInternalNames(java.lang.String[] names)

    - #### getStackSize

          public static int getStackSize(org.objectweb.asm.Type[] types)

    - #### toInternalNames

          public static java.lang.String[] toInternalNames(org.objectweb.asm.Type[] types)

    - #### parseSignature

          public static Signature parseSignature(java.lang.String s)

    - #### parseType

          public static org.objectweb.asm.Type parseType(java.lang.String s)

    - #### parseTypes

          public static org.objectweb.asm.Type[] parseTypes(java.lang.String s)

    - #### parseConstructor

          public static Signature parseConstructor(org.objectweb.asm.Type[] types)

    - #### parseConstructor

          public static Signature parseConstructor(java.lang.String sig)

    - #### getBoxedType

          public static org.objectweb.asm.Type getBoxedType(org.objectweb.asm.Type type)

    - #### getUnboxedType

          public static org.objectweb.asm.Type getUnboxedType(org.objectweb.asm.Type type)

    - #### isArray

          public static boolean isArray(org.objectweb.asm.Type type)

    - #### getComponentType

          public static org.objectweb.asm.Type getComponentType(org.objectweb.asm.Type type)

    - #### isPrimitive

          public static boolean isPrimitive(org.objectweb.asm.Type type)

    - #### emulateClassGetName

          public static java.lang.String emulateClassGetName(org.objectweb.asm.Type type)

    - #### isConstructor

          public static boolean isConstructor(MethodInfo method)

    - #### getTypes

          public static org.objectweb.asm.Type[] getTypes(java.lang.Class[] classes)

    - #### ICONST

          public static int ICONST(int value)

    - #### LCONST

          public static int LCONST(long value)

    - #### FCONST

          public static int FCONST(float value)

    - #### DCONST

          public static int DCONST(double value)

    - #### NEWARRAY

          public static int NEWARRAY(org.objectweb.asm.Type type)

    - #### escapeType

          public static java.lang.String escapeType(java.lang.String s)

Copyright (c) 2001 - Apache Software Foundation